GetManifestList

Returns a set of Manifests.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Data

<?xml version="1.0" encoding="UTF-8"?>
<Request>
  <ManifestType>forward</ManifestType>
  <Status>forward_shipped</Status>
  <Limit>50</Limit>
  <Offset>0</Offset>
</Request>

The XML tags have the following meaning:

TagTypeDescribtion
ManifestTypeStringEither 'forward' or 'return'. Mandatory. If omitted, or if an unsupported manifest type is supplied, an error 'E086: Manifest type "[supplied type]" is not valid'.
StatusStringWhen set, limits the returned set of manifests to loose manifest, which Return only entries which fit the status provided. Possible values are 'forward_ready_to_ship', 'forward_received', 'forward_shipped', 'return_ready_to_ship', 'return_received' and 'return_shipped',.
LimitIntegerThe maximum number of manifests that should be returned.
OffsetIntegerNumber of manifests to skip at the beginning of the list (i.e., an offset into the result set; toghether with the Limit parameter, simple resultset paging is possible; if you do page through results, note that the list of manifests might change during paging).

Response Data

<?xml version="1.0" encoding="UTF-8"?>
<SuccessResponse>
  <Head>
    <RequestId></RequestId>
    <RequestAction>GetManifestList</RequestAction>
    <ResponseType>Manifests</ResponseType>
    <Timestamp>2013-08-27T14:44:13+0000</Timestamp>
    <TotalCount>15</TotalCount>
  </Head>
  <Body>
    <Manifests>
      <Manifest>
        <ManifestId>1</ManifestId>
        <ShipmentProvider>DHL</ShipmentProvider>
        <TrackingCode>123ABC456EFG</TrackingCode>
        <OrderItems>
          <OrderItem>
        		<OrderItemId>1</OrderItemId>
            <ReturnReason>Product not available</ReturnReason>
          </OrderItem>  
          <OrderItem>
        		<OrderItemId>2</OrderItemId>
            <ReturnReason/>
          </OrderItem>  
           <OrderItem>
        		<OrderItemId>3</OrderItemId>
            <ReturnReason/>
          </OrderItem>  
        </OrderItems>
        <Status>forward_ready_to_ship</Status>
        <CreatedAt>2013-09-02 02:28:17</CreatedAt>
      </Manifest>
    </Manifests>
  </Body>
</SuccessResponse>

The XML tags have the following meaning:

ValueTypeDescribtion
ManifestIdUnsignedIdentifier of this manifest as assigned by Seller Center.
ShipmentProviderStringParcel service which is used to ship the manifest.
TrackingCodeStringIdentifier to track the progress of shipping the manifest.
OrderItemsSubsectionNode that contains identifiers of all order items which are send within the manifest as well as the return reason.
StatusStringStatus of the manifest.
CreatedAtDateTimeDate and time when the manifest was created.

Error Codes

Error CodeMessage
0Invalid Manifest Type: %s
0Invalid Manifest Status: %s
Query Params
string
required
Defaults to GetManifestList

Name of the function that is to be called. Mandatory and must be 'GetManifestList' in this case. If omitted, an 'E001: Parameter Action is mandatory' error is returned. If an unknown function string is supplied, an 'E008: Invalid Action' error message is returned.

string
Defaults to XML

If supplied, must be either 'JSON' or 'XML'. If not supplied, 'XML' is assumed.

date
required

The current time in ISO8601 format relative to UTC (e.g., Timestamp=2015-04-01T10:00:00+02:00 for Berlin), so that calls cannot be replayed by an eaves-dropping third party (i.e., those calls too far into the past or future yield an error message). Mandatory. If not supplied, an 'E001: Parameter Timestamp is mandatory' error message results. If the timestamp is too old or in the future, an 'E003: Timestamp has expired' error message is returned.

string
required

The ID of the user making the call. The list of authorized users is maintained in Seller Center web interface under Settings/Manage Users.

string
required

The API version against which this call is to be executed, in major-dot-minor format. Must currently be 1.0, even though the actual version of the API is 2.7.7. If omitted, an ‘E001: Parameter Version is mandatory’ error message is returned.

string
required

The cryptographic signature, authenticating the request. A caller must create this value by computing the SHA256 hash of the request, using the API key of the user specified in the UserID parameter. Mandatory. If omitted, an ‘E001: Parameter Signature is mandatory’ error message is returned. If the signature is incorrect, an ‘E007: Login failed. Signature mismatch’ error message is returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/xml
application/json